# --- START OF FILE docker-compose.yml ---

version: '3.8'

services:
  # Название нашего сервиса, можно придумать любое
  voice-agent:
    # Указываем, что образ нужно собрать из текущей директории
    build: .
    # Даем контейнеру имя, чтобы было удобно к нему обращаться
    container_name: voice-agent-container
    # Политика перезапуска: всегда перезапускать, если контейнер остановился
    restart: always
    # Проброс портов: порт 8000 контейнера на порт 8000 localhost'а сервера
    ports:
      - "127.0.0.1:8001:8000"
    # Подключаем "тома" (volumes). Это связывает папки на сервере с папками внутри контейнера.
    # Это КРИТИЧЕСКИ ВАЖНО, чтобы наша база данных, логи и записи не удалялись при перезапуске контейнера.
    volumes:
      - ./agents.db:/app/agents.db
      - ./recordings:/app/recordings
      - ./logs:/app/logs

# --- END OF FILE docker-compose.yml ---